Package org.jfree.layouting.renderer

## Class FlowContext.FlowContextState

- java.lang.Object
- - org.jfree.layouting.renderer.FlowContext.FlowContextState

- All Implemented Interfaces:
    `java.io.Serializable`
  Enclosing class:
    FlowContext

      public static class FlowContext.FlowContextState
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FlowContextState​(State textFactoryState, java.lang.Object currentFlowId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getCurrentFlowId​()` |
    `State` | `getTextFactoryState​()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FlowContextState

          public FlowContextState​(State textFactoryState,
                                  java.lang.Object currentFlowId)

  - ### Method Detail

    - #### getTextFactoryState

          public State getTextFactoryState​()

    - #### getCurrentFlowId

          public java.lang.Object getCurrentFlowId​()